GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_DELETE-INSTANCES(1)

NAME

gcloud compute instance-groups managed delete-instances - delete instances managed by managed instance group

SYNOPSIS

gcloud compute instance-groups managed delete-instances NAME --instances=INSTANCE,[INSTANCE,...] [--region=REGION | --zone=ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed delete-instances is used to delete one or more instances from a managed instance group. Once the instances are deleted, the size of the group is automatically reduced to reflect the changes. If you would like to keep the underlying virtual machines but still remove them from the managed instance group, use the abandon-instances command instead.

POSITIONAL ARGUMENTS

    NAME
        The name of the managed instance group.

REQUIRED FLAGS

    --instances=INSTANCE,[INSTANCE,...]
        Names of instances to delete.

OPTIONAL FLAGS
At most one of these may be specified:

    --region=REGION
        The region of the managed instance group to operate on. If not specified, you will be prompted to select a region. A list of regions can be fetched by running:
        $ gcloud compute regions list
    Overrides the default compute/region property value for this command invocation.

    --zone=ZONE
        The zone of the managed instance group to operate on. If not specified, you will be prompted to select a zone. A list of zones can be fetched by running:
        $ gcloud compute zones list
    Overrides the default compute/zone property value for this command invocation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.